curl --request GET \
--url https://api.bondio.co/v1/esims/{iccid}/smdp-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v1/esims/{iccid}/smdp-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v1/esims/{iccid}/smdp-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"stateHistory": [
{
"state": "RELEASED",
"modifiedAt": 123,
"modificationResult": "SUCCESS"
}
],
"eid": "<string>",
"currentState": "RELEASED"
}Get SMDP state info of eSIM
RELEASED - The esim is ready to be downloaded on the device.
DOWNLOADED - The esim has been downloaded on the mobile device.
INSTALLED - The esim is installed on the network modem of the mobile device. In most cases, this state happens immediately after the esim is DOWNLOADED.
ENABLED - The esim is switched-on from the mobile sim settings and can be used if the mobile network allows.
DISABLED - The esim is switched-off from the mobile sim settings and so it can’t be used.
DELETED - The esim has been deleted from the mobile device.
curl --request GET \
--url https://api.bondio.co/v1/esims/{iccid}/smdp-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v1/esims/{iccid}/smdp-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v1/esims/{iccid}/smdp-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"stateHistory": [
{
"state": "RELEASED",
"modifiedAt": 123,
"modificationResult": "SUCCESS"
}
],
"eid": "<string>",
"currentState": "RELEASED"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
iccid of the esim
Response
OK
Kindly note that the eid & currentState are not required fields. In the cases, where this feature is supported but Bondio doesn't have the data then these fields won't be present.

